> ## Documentation Index
> Fetch the complete documentation index at: https://docs.algure.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve product import file

> Retrieve the uploaded feed file for an import if it is still available.



## OpenAPI

````yaml openapi-v1.json get /v1/products/imports/{import_id}/file
openapi: 3.1.0
info:
  title: Algure API
  version: '1'
servers:
  - url: https://api.algure.com
    description: Algure Production Public API
security: []
paths:
  /v1/products/imports/{import_id}/file:
    get:
      tags:
        - Products
      summary: Retrieve product import file
      description: Retrieve the uploaded feed file for an import if it is still available.
      operationId: retrieveImportFile
      parameters:
        - name: import_id
          in: path
          required: true
          schema:
            type: string
          description: The ID of the product import
      responses:
        '200':
          description: CSV file
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
      security:
        - PublicAuth: []
components:
  securitySchemes:
    PublicAuth:
      type: http
      scheme: basic
      description: >-
        Use Integration API credentials as HTTP Basic auth (username: client id,
        password: client secret).

````